# constructors_destructor_fn_imps.hpp File Reference

## Detailed Description

Contains constructors_destructor_fn_imps applicable to different containers.

Definition in file constructors_destructor_fn_imps.hpp.

Go to the source code of this file.

## Functions

- template<typename T0, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7, T8 t8)
- template<typename T0, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6, T7 t7)
- template<typename T0, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5, T6 t6)
- template<typename T0, typename T1, typename T2, typename T3, typename T4, typename T5> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4, T5 t5)
- template<typename T0, typename T1, typename T2, typename T3, typename T4> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2, T3 t3, T4 t4)
- template<typename T0, typename T1, typename T2, typename T3> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2, T3 t3)
- template<typename T0, typename T1, typename T2> PB_DS_CLASS_NAME (T0 t0, T1 t1, T2 t2)
- template<typename T0, typename T1> PB_DS_CLASS_NAME (T0 t0, T1 t1)
- template<typename T0> PB_DS_CLASS_NAME (T0 t0)
- PB_DS_CLASS_NAME (const PB_DS_CLASS_NAME &other)
- PB_DS_CLASS_NAME ()